Skip to content

Add store department

POST
/api/v2.0/stores/{storeId}/departments
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/departments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "name": "example", "origin": { "system_id": "example", "employee_id": "example", "department_id": "example", "department_name": "example", "channel": "example" } }'
storeId
required
string

The store id

Example
your-store-id
object
id
string
nullable
name
string
nullable
origin

Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.

object
system_id
string
nullable
employee_id

The id for of the operator that made the request (if applicable)

string
nullable
department_id
string
nullable
department_name
string
nullable
channel

Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.

string
nullable
Examplegenerated
{
"id": "example",
"name": "example",
"origin": {
"system_id": "example",
"employee_id": "example",
"department_id": "example",
"department_name": "example",
"channel": "example"
}
}

OK

Media typeapplication/json
Array<object>
object
id
string
nullable
name
string
nullable
is_visible
boolean
Examplegenerated
[
{
"id": "example",
"name": "example",
"is_visible": true
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}